dfModel-class {MVCClass} | R Documentation

## Class "dfModel": A class to represent a data frame model

### Description

dfModel is a class to represent a data frame model. This class inherits from the virtual class, gModel. An object of dfModel is responsible for storing and updating the data.

### Objects from the Class

Objects can be created by calls of the form `new("dfModel", ...)`. The initialize method for this class will be created in other packages that use this package (for example, the initialize method will be created in the iSNetwork and iSPlot packages).

### Slots

`modelData`:
  the model data, which is a data frame
`virtualData`:
  data that is needed by views of this model, will be a data frame
`linkData`:
  a list of functions that link this model to its parent and child models (if it has any)
`modelName`:
  the name of this model
`modelVar`:
  a list of variables that refer to the modelData (for instance this may be t-test values that were calculated from the modelData)

### Extends

Class `"gModel"`, directly.

### Methods

No methods defined with class "dfModel" in the signature. The methods for this class will be created in other packages that use this package like iSNetwork and iSPlot.

### Author(s)

Elizabeth Whalen

### See Also

`gModel-class`

[Package MVCClass version 1.18.0 Index]